MXFConstants (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface MXFConstants

- All Known Implementing Classes:
    LocalTagEntryImpl, RandomIndexItemImpl

      public interface MXFConstants

  Constants used by the MXF capability of the MAJ API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `InstanceTag` Tag for the instance ID property of a local set.
    `static AUID` | `InstanceUID` Key for the instance ID property of a local set.
    `static AUID` | `KLVFill` Key starting a KLV triplet representing fill data.
    `static AUID` | `KLVFillOld` An older key for a KLV triplet representing fill data.
    `static String` | `RP210_NAMESPACE` XML namespace representing definitions from the SMPTE RP210 metadictionary available at the SMPTE registration authority.
    `static String` | `RP210_PREFIX` Suggested prefix for the RP210 namespace, which is "mxf".

- - ### Field Detail

    - #### RP210_NAMESPACE

          static final String RP210_NAMESPACE

      XML namespace representing definitions from the SMPTE RP210 metadictionary available at the SMPTE registration authority. This namespace is used for elements required to read and write MXF files beyond those defined for AAF.

      See Also:
        `RP210_PREFIX`, Constant Field Values

    - #### RP210_PREFIX

          static final String RP210_PREFIX

      Suggested prefix for the RP210 namespace, which is "mxf".

      See Also:
        `RP210_NAMESPACE`, Constant Field Values

    - #### InstanceUID

          static final AUID InstanceUID

      Key for the instance ID property of a local set. The instance ID property is used to represent strong references between metadata objects in header metadata.

      See Also:
        `InstanceTag`, `LocalTagEntry.getLocalTag()`

    - #### InstanceTag

          static final short InstanceTag

      Tag for the instance ID property of a local set. The instance ID property is used to represent strong references between metadata objects in header metadata.

      See Also:
        `InstanceUID`, `LocalTagEntry.getUID()`, Constant Field Values

    - #### KLVFill

          static final AUID KLVFill

      Key starting a KLV triplet representing fill data.

      See Also:
        `KLVFill`

    - #### KLVFillOld

          static final AUID KLVFillOld

      An older key for a KLV triplet representing fill data.

      See Also:
        `KLVFillOld`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.